Package org.flowable.engine.delegate.event.impl

# Class FlowableActivityCancelledEventImpl

java.lang.Object
org.flowable.common.engine.impl.event.FlowableEventImpl
org.flowable.common.engine.impl.event.FlowableEngineEventImpl
org.flowable.engine.delegate.event.impl.FlowableProcessEventImpl
org.flowable.engine.delegate.event.impl.FlowableActivityEventImpl
org.flowable.engine.delegate.event.impl.FlowableActivityCancelledEventImpl

All Implemented Interfaces:
  `FlowableEngineEvent`, `FlowableEvent`, `FlowableActivityCancelledEvent`, `FlowableActivityEvent`, `FlowableCancelledEvent`, `FlowableProcessEngineEvent`

public class FlowableActivityCancelledEventImpl extends FlowableActivityEventImpl implements FlowableActivityCancelledEvent
An `FlowableActivityCancelledEvent` implementation.

Author:
  martin.grofcik

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Object`
  `cause`

  ### Fields inherited from class org.flowable.engine.delegate.event.impl.FlowableActivityEventImpl

  `activityId, activityName, activityType, behaviorClass`

  ### Fields inherited from class org.flowable.common.engine.impl.event.FlowableEngineEventImpl

  `scopeDefinitionId, scopeId, scopeType, subScopeId`

  ### Fields inherited from class org.flowable.common.engine.impl.event.FlowableEventImpl

  `type`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FlowableActivityCancelledEventImpl()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `getCause()`
  `void`
  `setCause(Object cause)`

  ### Methods inherited from class org.flowable.engine.delegate.event.impl.FlowableActivityEventImpl

  `getActivityId, getActivityName, getActivityType, getBehaviorClass, setActivityId, setActivityName, setActivityType, setBehaviorClass`

  ### Methods inherited from class org.flowable.engine.delegate.event.impl.FlowableProcessEventImpl

  `getExecution`

  ### Methods inherited from class org.flowable.common.engine.impl.event.FlowableEngineEventImpl

  `getExecutionId, getProcessDefinitionId, getProcessInstanceId, getScopeDefinitionId, getScopeId, getScopeType, getSubScopeId, getType, setExecutionId, setProcessDefinitionId, setProcessInstanceId, setScopeDefinitionId, setScopeId, setScopeType, setSubScopeId, setType`

  ### Methods inherited from class org.flowable.common.engine.impl.event.FlowableEventImpl

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.flowable.engine.delegate.event.FlowableActivityEvent

  `getActivityId, getActivityName, getActivityType, getBehaviorClass`

  ### Methods inherited from interface org.flowable.common.engine.api.delegate.event.FlowableEngineEvent

  `getExecutionId, getProcessDefinitionId, getProcessInstanceId, getScopeDefinitionId, getScopeId, getScopeType, getSubScopeId`

  ### Methods inherited from interface org.flowable.common.engine.api.delegate.event.FlowableEvent

  `getType`

- ## Field Details

  - ### cause

    protected Object cause

- ## Constructor Details

  - ### FlowableActivityCancelledEventImpl

    public FlowableActivityCancelledEventImpl()

- ## Method Details

  - ### setCause

    public void setCause(Object cause)

  - ### getCause

    public Object getCause()
    Specified by:
      `getCause` in interface `FlowableCancelledEvent`
    Returns:
      the cause of the cancel event. Returns null, if no specific cause has been specified.